package dao

import model.Teller

class TellerDao {
    companion object {

        private val tellerMap = mapOf(
            "0003" to mapOf(
                "00008" to "8",
                "00022" to "22",
                "00012" to "12",
                "00014" to "14",
                "00003" to "1003",
                "00015" to "15",
                "00013" to "13",
                "00018" to "18",
                "00001" to "1001",
                "00004" to "4",
                "00017" to "1234",
                "00005" to "5",
                "00011" to "11",
                "00020" to "1234",
                "00021" to "1234",
                "00016" to "016",
                "00009" to "9",
                "00010" to "10",
                "00007" to "7",
                "00006" to "6",
            ),
            "0015" to mapOf(
                "00008"  to "118",
                "00002" to "249",
            ),
            "0016" to mapOf(
                 "00001" to "249",
                 "00002" to "249"
            )
        )
        fun getTeller(dccbCode: String, branchCode: String): Teller? {
            val branchList = tellerMap[dccbCode] ?: return null
            val tellerId = branchList[branchCode] ?: "249"
            val teller = Teller(
                tellerId,
                dccbCode,
                branchCode
            )
            return teller
        }
    }
}